Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Question about installation of packages requiring to accept the license #1334

Closed
lenadroid opened this issue Dec 30, 2015 · 13 comments

Comments

Projects
None yet
3 participants
@lenadroid
Copy link

commented Dec 30, 2015

I was trying to install CassandraCSharpDriver from here:
https://www.nuget.org/packages/CassandraCSharpDriver/

I am using Paket and my paket.dependencies file looks like this:

source https://nuget.org/api/v2

nuget FSharp.Formatting
nuget NUnit ~> 2
nuget NUnit.Runners ~> 2
nuget FAKE
nuget SourceLink.Fake
nuget CassandraCsharpDriver

github fsharp/FAKE modules/Octokit/Octokit.fsx

However, there are some errors during the attempt to download it:

Alenas-MacBook-Pro:ProjectScaffold lenok$ paket install
Paket version 2.40.0.0
Resolving packages for group Main:
 - Octokit 0.17.0
 - NUnit 2.6.4
 - NUnit.Runners 2.6.4
 - CassandraCsharpDriver 3.0.0
 - FAKE 4.12.0
 - FSharp.Formatting 2.13.0
 - SourceLink.Fake 1.1.0
 - Microsoft.Net.Http 2.2.29
 - FSharpVSPowerTools.Core 2.2.0
 - FSharp.Compiler.Service 1.4.2.3
 - lz4net 1.0.9.93
 - Microsoft.Bcl 1.1.10
 - Microsoft.Bcl.Build 1.0.21
Locked version resolution written to /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/paket.lock
Could not fix timestamps in /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg. Error: Unable to read beyond the end of the stream.
Something went wrong while downloading CassandraCSharpDriver 3.0.0
Message: Error during extraction of /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg.
Message: Unable to read beyond the end of the stream.
  ==> Trying again
Downloading CassandraCSharpDriver 3.0.0
Could not fix timestamps in /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg. Error: Unable to read beyond the end of the stream.
Something went wrong while downloading CassandraCSharpDriver 3.0.0
Message: Error during extraction of /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg.
Message: Unable to read beyond the end of the stream.
  ==> Last trial
Downloading CassandraCSharpDriver 3.0.0
Could not fix timestamps in /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg. Error: Unable to read beyond the end of the stream.
Paket failed with:
    Error during extraction of /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg.
Message: Unable to read beyond the end of the stream.
 In rare cases a firewall might have blocked the download. Please look into the file and see if it contains text with further information.

As it was written in the error message, I went to look into the file but it was not present by the path.

I have tried to install the package from Visual Studio on Windows, it works, but requires pressing the "I Accept" button on the license acceptance pop-up window.

I was thinking, maybe paket doesn't install the package because of the neccesity to accept the license? If yes, how can I tell paket to accept it? Or, maybe I am doing something wrong?

Help appreciated! Thank you.

@forki

This comment has been minimized.

Copy link
Member

commented Dec 30, 2015

Mhm will try to investigate, but it's not because of the license. Paket just ignores that bit and doesn't bother.

Could you please try "paket restore - f"?

@lenadroid

This comment has been minimized.

Copy link
Author

commented Dec 30, 2015

@forki just tried, results exactly the same.

Alenas-MacBook-Pro:ProjectScaffold lenok$ paket restore -f
Paket version 2.40.0.0
Downloading fsharp/FAKE:7d1a6f8e48d1e2e1e3246ea24a4de05cccc8ce64 modules/Octokit/Octokit.fsx to /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/paket-files/fsharp/FAKE/modules/Octokit/Octokit.fsx
Downloading FSharp.Formatting 2.13.0
Downloading FAKE 4.12.0
Downloading Microsoft.Bcl 1.1.10
Downloading FSharpVSPowerTools.Core 2.2.0
Downloading FSharp.Compiler.Service 1.4.2.3
Downloading CassandraCSharpDriver 3.0.0
Downloading lz4net 1.0.9.93
Downloading Microsoft.Bcl.Build 1.0.21
Downloading NUnit 2.6.4
Downloading Microsoft.Net.Http 2.2.29
Downloading NUnit.Runners 2.6.4
Downloading Octokit 0.17.0
Downloading SourceLink.Fake 1.1.0
Could not fix timestamps in /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg. Error: Unable to read beyond the end of the stream.
Something went wrong while downloading CassandraCSharpDriver 3.0.0
Message: Error during extraction of /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg.
Message: Unable to read beyond the end of the stream.
  ==> Trying again
Downloading CassandraCSharpDriver 3.0.0
Could not fix timestamps in /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg. Error: Unable to read beyond the end of the stream.
Something went wrong while downloading CassandraCSharpDriver 3.0.0
Message: Error during extraction of /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg.
Message: Unable to read beyond the end of the stream.
  ==> Last trial
Downloading CassandraCSharpDriver 3.0.0
Could not fix timestamps in /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg. Error: Unable to read beyond the end of the stream.
Paket failed with:
    Error during extraction of /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg.
Message: Unable to read beyond the end of the stream.
 In rare cases a firewall might have blocked the download. Please look into the file and see if it contains text with further information.
@forki

This comment has been minimized.

Copy link
Member

commented Dec 30, 2015

I will try to reproduce.
On Dec 30, 2015 08:07, "Lena" notifications@github.com wrote:

@forki https://github.com/forki just tried, results exactly the same.

Alenas-MacBook-Pro:ProjectScaffold lenok$ paket restore -f
Paket version 2.40.0.0
Downloading fsharp/FAKE:7d1a6f8e48d1e2e1e3246ea24a4de05cccc8ce64 modules/Octokit/Octokit.fsx to /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/paket-files/fsharp/FAKE/modules/Octokit/Octokit.fsx
Downloading FSharp.Formatting 2.13.0
Downloading FAKE 4.12.0
Downloading Microsoft.Bcl 1.1.10
Downloading FSharpVSPowerTools.Core 2.2.0
Downloading FSharp.Compiler.Service 1.4.2.3
Downloading CassandraCSharpDriver 3.0.0
Downloading lz4net 1.0.9.93
Downloading Microsoft.Bcl.Build 1.0.21
Downloading NUnit 2.6.4
Downloading Microsoft.Net.Http 2.2.29
Downloading NUnit.Runners 2.6.4
Downloading Octokit 0.17.0
Downloading SourceLink.Fake 1.1.0
Could not fix timestamps in /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg. Error: Unable to read beyond the end of the stream.
Something went wrong while downloading CassandraCSharpDriver 3.0.0
Message: Error during extraction of /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg.
Message: Unable to read beyond the end of the stream.
==> Trying again
Downloading CassandraCSharpDriver 3.0.0
Could not fix timestamps in /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg. Error: Unable to read beyond the end of the stream.
Something went wrong while downloading CassandraCSharpDriver 3.0.0
Message: Error during extraction of /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg.
Message: Unable to read beyond the end of the stream.
==> Last trial
Downloading CassandraCSharpDriver 3.0.0
Could not fix timestamps in /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg. Error: Unable to read beyond the end of the stream.
Paket failed with:
Error during extraction of /Users/lenok/Documents/Programming/FSharp/ProjectScaffold/packages/CassandraCSharpDriver/CassandraCSharpDriver.3.0.0.nupkg.
Message: Unable to read beyond the end of the stream.
In rare cases a firewall might have blocked the download. Please look into the file and see if it contains text with further information.


Reply to this email directly or view it on GitHub
#1334 (comment).

@forki

This comment has been minimized.

Copy link
Member

commented Dec 30, 2015

do you have the latest mono version on mac? The error is during zip extraction - not during download.

@forki

This comment has been minimized.

Copy link
Member

commented Dec 30, 2015

Seems something is wrong with the zip file. I can reproduce in #1335.
/cc @maartenba do you know which zip API you use in nuget.exe?

@forki forki added the bug label Dec 30, 2015

@forki

This comment has been minimized.

Copy link
Member

commented Dec 30, 2015

Since it's already failing on opening the zip I just tested with NuGet.exe

image

So something seems to be wrong with the package itself.

/cc @yishaigalatzer

@forki forki removed the bug label Dec 30, 2015

@lenadroid

This comment has been minimized.

Copy link
Author

commented Dec 30, 2015

@forki if it's something with the package, shouldn't there be problems with installing it in VS also?

@forki

This comment has been minimized.

Copy link
Member

commented Dec 30, 2015

VS addin might have a different strategy to unzip or just swallowed the
error.
On Dec 30, 2015 9:55 AM, "Lena" notifications@github.com wrote:

@forki https://github.com/forki if it's something with the package,
shouldn't there be problems with installing it in VS also?


Reply to this email directly or view it on GitHub
#1334 (comment).

@lenadroid

This comment has been minimized.

Copy link
Author

commented Dec 30, 2015

@forki, and yeah, just using Xanarin Studio and simple nuget it fails to extract too, as you pointed out. /cc @yishaigalatzer

forki added a commit that referenced this issue Dec 30, 2015

@forki

This comment has been minimized.

Copy link
Member

commented Dec 30, 2015

@maartenba fixed the broken zip. It now works fine.

Thanks maarten

@forki forki closed this Dec 30, 2015

@maartenba

This comment has been minimized.

Copy link

commented Dec 30, 2015

Seems the package had an incomplete binary. I did a fix of the binary, can you give it another go?

@lenadroid

This comment has been minimized.

Copy link
Author

commented Dec 30, 2015

Thank you very much @maartenba!

@lenadroid

This comment has been minimized.

Copy link
Author

commented Dec 30, 2015

Big thanks for assistance to @forki!

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
You can’t perform that action at this time.